> ## Documentation Index
> Fetch the complete documentation index at: https://docs.realtimelca.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add Type:Material

> Adds a material of a specific type to an existing building project. The material is identified by its type and material identifiers, and can be configured with lifecycle, quantity, declared unit value pairs, tags, and BIM metadata.



## OpenAPI

````yaml /api-reference/realtime-lca-openapi.yaml post /Mapping/buildingproject/{buildingprojectId}/addmaterial
openapi: 3.0.0
info:
  title: Real-Time LCA REST Documentation
  version: 1.0.0
  description: >-
    ### Description 📝


    This collection contains a set of REST API requests for the Real-Time LCA
    (Life Cycle Assessment) service.


    ### Authenticate user 👤🔑


    In the `Auth` folder there's a `POST` request for authenticating the user.


    In this request body you can type in the user RTLCA user credentials
    (username & password) and a succesfull (`200 OK`) response will set the
    collection `BearerToken` variable which is then inherited by all other
    requests.
servers:
  - url: https://api.realtimelca.com/rest/api
    description: REST API.
  - url: https://api.realtimelca.com/epd/api
    description: EPD API.
  - url: https://auth.realtimelca.com/frontegg/identity/resources/auth/v1
    description: Authentication API (Frontegg identity v1).
  - url: https://realtimelca-prod.hasura.app
    description: GraphQL API (Hasura).
security:
  - BearerAuth: []
tags:
  - name: Auth
  - name: User
  - name: Overview
  - name: Project
  - name: Dashboard
  - name: Mapping
  - name: Automapping
  - name: Transport
  - name: Waste
  - name: Inspect
  - name: Report
  - name: Images
  - name: Library
  - name: Datasource
  - name: Owner
  - name: Material
  - name: Constructions
  - name: Enums
paths:
  /Mapping/buildingproject/{buildingprojectId}/addmaterial:
    servers:
      - url: https://api.realtimelca.com/rest/api
    parameters:
      - name: buildingprojectId
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Project
        - Mapping
      summary: Add Type:Material
      description: >-
        Adds a material of a specific type to an existing building project. The
        material is identified by its type and material identifiers, and can be
        configured with lifecycle, quantity, declared unit value pairs, tags,
        and BIM metadata.
      requestBody:
        content:
          application/json:
            schema:
              type: object
            example: "{\r\n  \"branchName\": \"string\",\r\n  \"typeIdentifier\": \"string\",\r\n  \"materialIdentifier\": \"string\",\r\n  \"includeMapping\": bool,\r\n  \"isRecycled\": bool,\r\n  \"lifetime\": int,\r\n  \"lifetimeOffset\": int,\r\n  \"materialCount\": int,\r\n  \"declaredUnitValuePairs\": [\r\n    {\r\n      \"declaredUnit\": int,\r\n      \"value\": int,\r\n      \"preferred\": bool\r\n    },\r\n    {\r\n      \"declaredUnit\": int\r\n      \"value\": int,\r\n      \"preferred\": bool\r\n    }\r\n  ],\r\n  \"tags\": [\r\n    \"string\",\r\n    \"string\"\r\n  ],\r\n  \"speckleUserParameters\": {\r\n    \"BIMTypeCode\": \"string\",\r\n    \"category\":\"string\"\r\n  },\r\n  \"description\": \"string\"\r\n}"
      responses:
        default:
          description: Response schema not yet documented in the upstream Postman spec.
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````